<div class="login-box" id="login-partial">
  <% unless logged_in? %>

  <h2><span><%= _('Login') %></span></h2>

  <div class="login-box-content">

    <% @user ||= User.new %>

    <%= labelled_form_for :user, :url => { :controller => 'steps', :action => 'login' } do |f| %>

    <%= f.text_field :login, :onchange => 'this.value = convToValidLogin( this.value )' %>

    <%= f.password_field :password %>

    <%= hidden_field_tag('submition_phase', @submition_phase) %>
    <%= hidden_field_tag('google_forms', @google_forms) %>
    <%= hidden_field_tag('pdf_forms', @pdf_forms) %>
    <%= hidden_field_tag('docx_forms', @docx_forms) %>
    <%= hidden_field_tag('odt_forms', @odt_forms) %>


    <%= safe_join(@plugins.dispatch(:login_extra_contents).collect { |content| instance_eval(&content) }, "") %>

    <%= button_bar do %>
    <%= submit_button( 'login', _('Log in') )%>
    <% end %>

    <% end %>

    <%= button_bar do %>
    <% unless @plugins.dispatch(:allow_user_registration).include?(false) %>
    <%= button :add, _("New user"), :controller => 'account', :action => 'signup' %>
    <% end %>

    <% unless @plugins.dispatch(:allow_password_recovery).include?(false) %>
    <%= button :help, _("I forgot my password!"), :controller => 'account', :action => 'forgot_password' %>
    <% end %>
    <% end %>


  </div>

  <% else %>
  <h2><%= user.identifier %></h2>
  <% end %>

</div><!-- end id="login-box" -->

<script type="text/javascript">
  $(document).ready(function() {
    var submition_phase = '<%= @submition_phase %>'

    if(submition_phase === 'Envio') {
      var form_icon = $("#form-icon")
      form_icon.addClass("step-hide");
    }

    var login_icon = $("#login-icon")
    login_icon.addClass("step-active")
  });
</script>
